I am very disappointed in the Camtasia V9.

  • 1
  • Problem
  • Updated 11 months ago
I have been trying to load my videos created in previous versions of Camtasia and it keeps telling me to load them into an earlier version such as Camtasia 8 to upgrade them. Why is this happening? Why can I not open videos projects created with earlier versions of Camtasia? 
Photo of artos

artos

  • 4 Posts
  • 0 Reply Likes
  • SAD

Posted 11 months ago

  • 1
Photo of kayakman

kayakman, Champion

  • 6580 Posts
  • 2012 Reply Likes
project files created with CS7 must be opened in and converted to CS8 before they can be opened and converted in CS9

that's just the way it is

you can download older versions from here...
http://www.techsmith.com/download/oldversions.asp
Photo of Rick Stone

Rick Stone

  • 4969 Posts
  • 2272 Reply Likes
For what it's worth, Adobe Captivate behaves in a very similar way with its own projects.